import es
import playerlib
import soccer.soccer as soccerlib
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "Soccer Team Skins Script"
info.version = soccerlib.info.version
info.basename = "soccerteamskins"
info.author = "chrismrulz"

awaychar = soccerlib.config["Skins"]["awaychar"]
tskin = soccerlib.config["Skins"]["tskin"]
ctskin = soccerlib.config["Skins"]["ctskin"]
skins = soccerlib.config["Skins"]

def loadblock():
	es.msg("#Green", "Soccer Team Skins Script On - by Toph")
	for tagname in skins:
		if(tagname != 'awaychar'):
			es.stringtable('downloadables', skins[tagname])

def load():
	loadblock()

def es_map_start(event_var):
	loadblock()

def unload():
	es.msg("#Green", "Soccer Team Skins Script Off")

def parseskins(name, userid, team):
	if('<GK>' not in name):
		toset = ""
		toset2 = ""
		toset3 = ""
		for tagname in skins:
			tagname = unicode(tagname)
			if(tagname in name.decode('utf-8') and tagname.find('tskin') == -1):
				skinname = skins[tagname]
				if(awaychar == ''):
					toset = skinname
				elif(awaychar in tagname):
					toset = skinname
				else:
					toset2 = skinname
			elif(team == '2'):
				toset3 = tskin
			elif(team == '3'):
				toset3 = ctskin
		if(toset != ""):
			playerlib.getPlayer(userid).setModel(toset)
		elif(toset2 != ""):
			playerlib.getPlayer(userid).setModel(toset2)
		elif(toset3 != ""):
			playerlib.getPlayer(userid).setModel(toset3)

def player_changename(event_var):
	parseskins(event_var['newname'], event_var['userid'], event_var['es_userteam'])

def player_spawn(event_var):
	parseskins(event_var['es_username'], event_var['userid'], event_var['es_userteam'])

def lo3spawn():
	if(es.server_var['soccergoalie_enabled'] != 0):
		for player in playerlib.getPlayerList('#alive'):
			parseskins(player.name, player.userid, player.team)